Retrieve authorization server metadata
/.well-known/oauth-authorization-serverReturns the OAuth 2.0 Authorization Server Metadata for your tenant.
This is the standard OAuth 2.0 Well-Known endpoint, providing public metadata that describes the tenant’s OAuth 2.0 configuration and capabilities. https://www.rfc-editor.org/rfc/rfc8414.html
This endpoint is intended for public consumption, and as such does not require authentication.
Response Body
application/json
curl -X GET "https://example.vii.au01.mattr.global/.well-known/oauth-authorization-server"{
"issuer": "http://example.com",
"authorization_endpoint": "http://example.com",
"token_endpoint": "http://example.com",
"jwks_uri": "http://example.com",
"scopes_supported": [
"ldp_vc:ExampleCredential",
"ldp_vc:CourseCredential",
"cwt:CourseCredential",
"cwt_vc:CourseCredential",
"mso_mdoc:org.iso.18013.5.1.mDL"
],
"response_types_supported": [
"code"
],
"response_modes_supported": [
"query",
"fragment"
],
"grant_types_supported": [
"authorization_code"
],
"token_endpoint_auth_methods_supported": [
"client_secret_basic",
"none"
],
"code_challenge_methods_supported": [
"S256"
],
"dpop_signing_alg_values_supported": [
"ES256"
],
"pre-authorized_grant_anonymous_access_supported": true,
"status_list_aggregation_endpoint": "http://example.com"
}How would you rate this page?
Retrieve OID4VCI issuer metadata GET
Returns OID4VCI issuer metadata. This is the standard OID4VCI Well Known endpoint for your tenant. This endpoint is unprotected, public facing and can be deterministically found at the root of the tenant subdomain or alias by any party wishing to discover the OID4VCI capabilities.
Create a User POST
Create a user. * USER_CREATE_START * USER_CREATE_SUCCESS * USER_CREATE_FAIL